# Generated from automodel-sqlserver-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name automodel-sqlserver

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A fork of "automodel" with the proper dependencies for use with SQL Server
License: MIT
URL: https://www.github.com/nestor-custodio/automodel-sqlserver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-byebug) >= 3.6
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.3
# BuildRequires: rubygem(rspec_junit_formatter) < 1
# BuildRequires: rubygem(mysql2) >= 0.5.1
# BuildRequires: rubygem(mysql2) < 0.6
# BuildRequires: rubygem(pg) >= 0.21
# BuildRequires: rubygem(pg) < 1
# BuildRequires: rubygem(sqlite3) >= 1.3.13
# BuildRequires: rubygem(sqlite3) < 1.4
BuildArch: noarch

%description
A fork of "automodel" with the proper dependencies for use with SQL Server.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/samples
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/automodel-sqlserver.gemspec
%doc %{gem_instdir}/docs

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.0-1
- Initial package
